{
  config,
  lib,
  ...
}: let
  inherit (config.rose-pine) sources;

  cfg = config.rose-pine;
  palette = (lib.importJSON "${sources.rose-pine-palette}/palette.json").${cfg.flavor}.colors;
in {
  options.rose-pine.palette = lib.mkOption {
    type = lib.types.attrs;
    default = palette;
  };

  config.rose-pine.palette = palette;
}
